
const IE = 'immersiveengineering:'
const CO = 'cobblemon:'

const RA = CO+'red_apricorn'
const YA = CO+'yellow_apricorn'
const GA = CO+'green_apricorn'
const BA = CO+'blue_apricorn'
const PA = CO+'pink_apricorn'
const DA = CO+'black_apricorn'
const WA = CO+'white_apricorn'

ServerEvents.recipes(event => {
    event.remove({id:CO+'heavy_ball'})
    event.shaped('4x '+CO+'heavy_ball',[' D ','BIB',' D '],{D:DA,B:BA,I:IE+'ingot_lead'}).id('tomtaru:heavy_ball')
    
    event.remove({id:CO+'fast_ball'})
    event.shaped('4x '+CO+'fast_ball',[' R ','YIY',' W '],{R:RA,Y:YA,W:WA,I:IE+'ingot_aluminum'}).id('tomtaru:fast_ball')
    
    event.remove({id:CO+'sport_ball'})
    event.shaped('4x '+CO+'sport_ball',[' W ','RIR',' R '],{R:RA,W:WA,I:IE+'ingot_aluminum'}).id('tomtaru:sport_ball')
    
    event.remove({id:CO+'quick_ball'})
    event.shaped('4x '+CO+'quick_ball',[' B ','YIY',' B '],{B:BA,Y:YA,I:IE+'ingot_silver'}).id('tomtaru:quick_ball')
    
    event.remove({id:CO+'heal_ball'})
    event.shaped('4x '+CO+'heal_ball',[' P ','WIW',' P '],{P:PA,W:WA,I:IE+'ingot_silver'}).id('tomtaru:heal_ball')
    
    event.remove({id:CO+'moon_ball'})
    event.shaped('4x '+CO+'moon_ball',[' Y ','BID',' W '],{Y:YA,B:BA,D:DA,W:WA,I:IE+'ingot_silver'}).id('tomtaru:moon_ball')

})